fop 1.1

## org.apache.fop.pdf
Class ASCII85Filter

    java.lang.Object
      org.apache.fop.pdf.PDFFilter
          org.apache.fop.pdf.ASCII85Filter

    public class ASCII85Filter

extends PDFFilter

PDF Filter for ASCII85. This applies a filter to a pdf stream that converts the data to ASCII.

Constructor Summary
`ASCII85Filter()`

Method Summary
`java.io.OutputStream` `applyFilter(java.io.OutputStream out)` Applies a filter to an OutputStream.
`PDFObject` `getDecodeParms()` Get the decode parameters.
`java.lang.String` `getName()` Get the PDF name of this filter.
`boolean` `isASCIIFilter()` Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.

Methods inherited from class org.apache.fop.pdf.PDFFilter
`isApplied, setApplied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCII85Filter

    public ASCII85Filter()

Method Detail

### getName

    public java.lang.String getName()

  Get the PDF name of this filter.

  Specified by:
    `getName` in class `PDFFilter`
  Returns:
    the name of the filter to be inserted into the PDF

### isASCIIFilter

    public boolean isASCIIFilter()

  Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.

  Overrides:
    `isASCIIFilter` in class `PDFFilter`
  Returns:
    boolean True if this filter is an ASCII filter

### getDecodeParms

    public PDFObject getDecodeParms()

  Get the decode parameters.

  Specified by:
    `getDecodeParms` in class `PDFFilter`
  Returns:
    always null

### applyFilter

    public java.io.OutputStream applyFilter(java.io.OutputStream out)
                                     throws java.io.IOException

  Applies a filter to an OutputStream.

  Specified by:
    `applyFilter` in class `PDFFilter`
  Parameters:
    `out` - contents to be filtered
  Returns:
    OutputStream filtered contents
  Throws:
    `java.io.IOException` - In case of an I/O problem

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.